---
title: <object>
slug: Web/HTML/Element/object
tags:
  - Element
  - HTML
  - HTML embedded content
  - Reference
  - Web
---
<p>{{HTMLRef}}</p>

<p>The <strong>HTML <code>&lt;object&gt;</code> element</strong> represents an external resource, which can be treated as an image, a nested browsing context, or a resource to be handled by a plugin.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/object.html", "tabbed-standard")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>; <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>; <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Embedded_content">embedded content</a>, palpable content; if the element has a {{htmlattrxref("usemap","object")}} attribute, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Interactive_content">interactive content</a>; <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Form_listed">listed</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Form_submittable">submittable</a> <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Form-associated_content">form-associated</a> element.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>zero or more {{HTMLElement("param")}} elements, then <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Transparent_content_model">transparent</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Embedded_content">embedded content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>{{ARIARole("application")}}, {{ARIARole("document")}}, {{ARIARole("image")}}</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLObjectElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{HTMLAttrDef("archive")}}{{HTMLVersionInline(4)}} only{{Obsolete_Inline("HTML5")}}</dt>
 <dd>A space-separated list of URIs for archives of resources for the object.</dd>
 <dt>{{HTMLAttrDef("border")}}{{Deprecated_Inline("HTML4.01")}}{{Obsolete_Inline("HTML5")}}</dt>
 <dd>The width of a border around the control, in pixels.</dd>
 <dt>{{HTMLAttrDef("classid")}}{{HTMLVersionInline(4)}} only{{Obsolete_Inline("HTML5")}}</dt>
 <dd>The URI of the object's implementation. It can be used together with, or in place of, the <strong>data</strong> attribute.</dd>
 <dt>{{HTMLAttrDef("codebase")}}{{HTMLVersionInline(4)}} only{{Obsolete_Inline("HTML5")}}</dt>
 <dd>The base path used to resolve relative URIs specified by <strong>classid</strong>, <strong>data</strong>, or <strong>archive</strong>. If not specified, the default is the base URI of the current document.</dd>
 <dt>{{HTMLAttrDef("codetype")}}{{HTMLVersionInline(4)}} only{{Obsolete_Inline("HTML5")}}</dt>
 <dd>The content type of the data specified by <strong>classid</strong>.</dd>
 <dt>{{HTMLAttrDef("data")}}</dt>
 <dd>The address of the resource as a valid URL. At least one of <strong>data</strong> and <strong>type</strong> must be defined.</dd>
 <dt>{{HTMLAttrDef("declare")}}{{HTMLVersionInline(4)}} only{{Obsolete_Inline("HTML5")}}</dt>
 <dd>The presence of this Boolean attribute makes this element a declaration only. The object must be instantiated by a subsequent <code>&lt;object&gt;</code> element. In HTML5, repeat the &lt;object&gt; element completely each time that the resource is reused.</dd>
 <dt>{{HTMLAttrDef("form")}}{{HTMLVersionInline(5)}}</dt>
 <dd>The form element, if any, that the object element is associated with (its <em>form owner</em>). The value of the attribute must be an ID of a {{HTMLElement("form")}} element in the same document.</dd>
 <dt>{{HTMLAttrDef("height")}}</dt>
 <dd>The height of the displayed resource, in <a href="https://drafts.csswg.org/css-values/#px">CSS pixels</a>. -- (Absolute values only. <a href="https://html.spec.whatwg.org/multipage/embedded-content.html#dimension-attributes">NO percentages</a>)</dd>
 <dt>{{HTMLAttrDef("name")}}</dt>
 <dd>The name of valid browsing context (HTML5), or the name of the control (HTML 4).</dd>
 <dt>{{HTMLAttrDef("standby")}}{{HTMLVersionInline(4)}} only{{Obsolete_Inline("HTML5")}}</dt>
 <dd>A message that the browser can show while loading the object's implementation and data.</dd>
 <dt>{{HTMLAttrDef("tabindex")}}{{HTMLVersionInline(4)}} only{{Obsolete_Inline("HTML5")}}</dt>
 <dd>The position of the element in the tabbing navigation order for the current document.</dd>
 <dt>{{HTMLAttrDef("type")}}</dt>
 <dd>The <a href="/en-US/docs/Glossary/MIME_type">content type</a> of the resource specified by <strong>data</strong>. At least one of <strong>data</strong> and <strong>type</strong> must be defined.</dd>
 <dt>{{HTMLAttrDef("typemustmatch")}}{{HTMLVersionInline(5)}}</dt>
 <dd>This Boolean attribute indicates if the <strong>type</strong> attribute and the actual <a href="/en-US/docs/Glossary/MIME_type">content type</a> of the resource must match to be used.</dd>
 <dt>{{HTMLAttrDef("usemap")}}</dt>
 <dd>A hash-name reference to a {{HTMLElement("map")}} element; that is a '#' followed by the value of a {{htmlattrxref("name", "map")}} of a map element.</dd>
 <dt>{{HTMLAttrDef("width")}}</dt>
 <dd>The width of the display resource, in <a href="https://drafts.csswg.org/css-values/#px">CSS pixels</a>. -- (Absolute values only. <a href="https://html.spec.whatwg.org/multipage/embedded-content.html#dimension-attributes">NO percentages</a>)</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Embed_a_flash_movie">Embed a flash movie</h3>

<pre class="brush: html notranslate">&lt;!-- Embed a flash movie --&gt;
&lt;object data="movie.swf"
  type="application/x-shockwave-flash"&gt;&lt;/object&gt;

&lt;!-- Embed a flash movie with parameters --&gt;
&lt;object data="movie.swf" type="application/x-shockwave-flash"&gt;
  &lt;param name="foo" value="bar"&gt;
&lt;/object&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "embedded-content.html#the-object-element", "&lt;object&gt;")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5 W3C", "semantics-embedded-content.html#the-object-element", "&lt;object&gt;")}}</td>
   <td>{{Spec2("HTML5 W3C")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("HTML4.01", "struct/objects.html#h-13.3", "&lt;object&gt;")}}</td>
   <td>{{Spec2("HTML4.01")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>Note: Google Chrome doesn't support search for text (accessed via <kbd>ctrl + F</kbd> shortcut) inside <code>&lt;object&gt;&lt;/object&gt;</code> tags.</p>

<p>{{Compat("html.elements.object")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("applet")}} {{Obsolete_Inline}}</li>
 <li>{{HTMLElement("embed")}}</li>
 <li>{{HTMLElement("param")}}</li>
</ul>
